{
  inputs,
  config,
  lib,
  ...
}: {
  imports =
    [
      (lib.mkAliasOptionModule ["hm"] [
        "home-manager"
        "users"
        config.my.user
      ])
    ]
    ++ lib.my.getModules [./.];

  hm.imports = [./home.nix];

  home-manager.extraSpecialArgs = {
    inherit inputs;
  };
  home-manager.useGlobalPkgs = true;
}
